/*    PopTart -- A general-purpose POP3 client
    Copyright (C) 1996 Jim Anderson

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Jim Anderson may be contacted at jim.anderson@accessone.com
*/

#define IO_TIMEOUT		120L		/* 2 minutes - less for non amateur radio! */

#define LINEBUFLEN  515     /* POP standard isn't clear if this includes the \r\n or not... */

/* Error codes */
#define PE_NETERROR -1
#define PE_TIMEOUT -2
#define PE_BUFFEROVERFLOW -3
#define PE_OUTOFMEMORY -4
#define PE_UNKNOWNUSER -5
#define PE_POPTARTEXPLODED  -6
#define PE_CANTCONNECT -7
#define PE_CANTOPENMAILFILE -8

/* Error messages */
#define PTEM_OUTOFMEMORY  "PopTart ran out of memory\n"
#define PTEM_READINGMLIST  "reading list of messages"

/* From string prefix */
#define PTS_FROMSTRING "From PopTart "

/* POP3 commands */
#define PTPC_POSTFIX  "\r\n"
#define PTPC_GETLIST  "LIST\r\n"
#define PTPC_SENDPASS  "PASS %s\r\n"
#define PTPC_SENDUSER  "USER %s\r\n"
#define PTPC_RETR  "RETR %s\r\n"
#define PTPC_RETR_PRE  "RETR "
#define PTPC_DELETE  "DELE %s\r\n"
#define PTPC_DELETE_PRE  "DELE "
#define PTPC_QUIT "QUIT\r\n"

struct popstruct {
	char *user;
	char *pwd;
	char *host;
	char *port;
	char *mailfile;
	int fDebug;
	int fValid;
	int fPreserve;
};
